> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get basic state information for all door sensors

> Get basic state information for all door sensors



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/door/getMinimalDoorStateList
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/door/getMinimalDoorStateList:
    post:
      tags:
        - Door Webservice
      summary: Get basic state information for all door sensors
      description: Get basic state information for all door sensors
      operationId: getMinimalDoorStateList
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Door_GetMinimalDoorStatesWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Door_GetMinimalDoorStatesWSResponse'
          description: OK
components:
  schemas:
    Door_GetMinimalDoorStatesWSRequest:
      type: object
      description: >-
        Request object for retrieving basic state information for all door
        sensors.
    Door_GetMinimalDoorStatesWSResponse:
      type: object
      description: Response object containing basic state information for all door sensors.
      properties:
        doorStates:
          type: array
          description: List of minimal door state information for all door sensors
          items:
            $ref: '#/components/schemas/Door_MinimalDoorStateType'
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Door_MinimalDoorStateType:
      type: object
      description: Minimal state information for a door sensor.
      properties:
        associatedCameras:
          type: array
          description: List of associated camera device facet UUIDs
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        batteryPercent:
          type: integer
          format: int32
          description: Battery percentage of the door sensor
          example: 75
          nullable: true
        closestBaseStation:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          description: Timestamp in milliseconds when the door sensor was created
          example: 1640995200000
          nullable: true
        firmwareVersion:
          type: string
          description: Firmware version of the door sensor
          example: 1.2.3
          nullable: true
        floorNumber:
          type: integer
          format: int32
          description: Floor number where the door sensor is located
          example: 1
          nullable: true
        health:
          $ref: '#/components/schemas/Door_DoorHealthEnum'
        healthDetails:
          $ref: '#/components/schemas/Door_DoorHealthDetailsEnum'
        hwVariation:
          $ref: '#/components/schemas/HardwareVariationEnum'
        lastSeenSec:
          type: integer
          format: int64
          description: Timestamp in seconds when the door sensor was last seen
          example: 1640995200
          nullable: true
        latitude:
          type: number
          format: double
          description: Latitude coordinate of the door sensor
          example: 37.7749
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        longitude:
          type: number
          format: double
          description: Longitude coordinate of the door sensor
          example: -122.4194
          nullable: true
        name:
          type: string
          description: Name of the door sensor
          example: Main Entrance Door
          nullable: true
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        sensorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        serialNumber:
          type: string
          description: Serial number of the door sensor
          example: DS123456789
          nullable: true
        signalStrength:
          type: integer
          format: int32
          description: Signal strength of the door sensor
          example: 85
          nullable: true
        status:
          $ref: '#/components/schemas/DoorStatusEnum'
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    Door_DoorHealthEnum:
      type: string
      description: Enumeration of health status for door sensors.
      enum:
        - GREEN
        - RED
    Door_DoorHealthDetailsEnum:
      type: string
      description: Enumeration of specific health details for door sensors.
      enum:
        - FIRMWARE_BEHIND
        - NO_HEARTBEAT
        - NONE
    HardwareVariationEnum:
      type: string
      enum:
        - RASPBERRY_PI_3
        - CAMERA_R1
        - CAMERA_R2
        - CAMERA_R2_LONG_RANGE
        - CAMERA_R2_180
        - CAMERA_R3
        - CAMERA_R4
        - CAMERA_R100
        - CAMERA_R120
        - CAMERA_R170
        - CAMERA_R200
        - CAMERA_R500
        - CAMERA_R510
        - CAMERA_R520
        - CAMERA_R600
        - SENSOR_ASSET_TAG_T1
        - SENSOR_DOOR_D1
        - SENSOR_DOOR_D20
        - SENSOR_ENVIRONMENTAL_E1
        - SENSOR_ENVIRONMENTAL_E15
        - SENSOR_ENVIRONMENTAL_E2
        - SENSOR_MOTION_M1
        - SENSOR_MOTION_M15
        - GATEWAY_A1
        - GATEWAY_A100
        - GATEWAY_ENVIRONMENTAL_E50
        - CAMERA_R220
        - CAMERA_R230
        - CAMERA_R36S
        - CAMERA_R410
        - CAMERA_R540
        - CAMERA_R545
        - BADGE_READER_DR1
        - BADGE_READER_DR40
        - BADGE_READER_DR20
        - DOOR_CONTROLLER_DC1
        - DOOR_CONTROLLER_DC20
        - DOOR_CONTROLLER_DC10
        - ETHERNET_TESTER_ET1
        - IO_BOARD_TB1
        - BLE_BUTTON_B10
        - BLE_BUTTON_B15
        - CAMERA_THIRD_PARTY_RELAY
        - CAMERA_THIRD_PARTY_NVR
        - NVR_N100
        - CAMERA_R130
        - NVR_N500
        - CAMERA_R150
        - ROBOT_RC1
        - CAMERA_R210
        - CAMERA_R650
        - UNSPECIFIED
    DoorStatusEnum:
      type: string
      description: Door state for door sensor webhooks
      enum:
        - OPEN
        - CLOSED
        - AJAR
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````